/**
 * $Id: AllowJDBC.java,v 1.1 2010/01/05 13:26:17 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 02.12.2008 by oliver (ob@oasd.de)
 */
package patterntesting.annotation.check.ct;

/**
 * If you have damn JDBC calls in your class via DamnJDBC you can allow
 * some methods these calls be declaring them with @AllowJDBC.
 *
 * @see DamnJDBC
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 02.12.2008
 * @version $Revision: 1.1 $
 */
public @interface AllowJDBC {

}

/**
 * $Log: AllowJDBC.java,v $
 * Revision 1.1  2010/01/05 13:26:17  oboehm
 * begin with 1.0
 *
 * Revision 1.2  2009/12/19 22:34:09  oboehm
 * trailing spaces removed
 *
 * Revision 1.1  2009/03/26 10:15:54  oboehm
 * annotations for patterntesting-check-ct moved
 * to patterntesting.annotation.check.ct
 *
 * $Source: /cvsroot/patterntesting/PatternTesting10/patterntesting-rt/src/main/java/patterntesting/annotation/check/ct/AllowJDBC.java,v $
 */
